%define version 0.5.0
%define snapshotdate 20080127
%define rel 1
%define release %mkrel -c %snapshotdate %rel

Summary:   Eva is an IM client compatible with QQ protocol based on QT
Name:      eva
Version:   %{version}
Release:   %{release}
License:   GPLv2+
URL:       http://www.sourceforge.net/projects/evaq
Group:     Networking/Instant messaging
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:   http://www.myswear.net/myswear/eva/beta/%name-%snapshotdate.tar.bz2
Patch7:    eva-0.4.1-fix-autoconf.diff
Patch8:    eva-0.5.0-set-default-button.patch
BuildRequires: kdelibs-devel
BuildRequires: desktop-file-utils

Requires:   kdebase-common

%description
Eva is an IM client compatible with QQ protocol based on QT and KDE.

%prep
%setup -q -n %name
%patch7 -p0
%patch8 -p0

%build
%configure2_5x --with-qt-dir=%qt3dir \
	--with-qt-includes=%qt3include \
	--with-qt-libraries=%qt3lib
%make

%install
rm -fr %{buildroot}

%makeinstall_std

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 src/hi16-app-eva.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 src/hi32-app-eva.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 src/hi48-app-eva.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications/kde \
	--add-category='InstantMessaging' \
	--add-category='X-MandrivaLinux-CrossDesktop' \
	--remove-key='MimeTypes' \
	%{buildroot}%{_datadir}/applications/kde/%{name}.desktop

%{find_lang} %{name}

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/eva
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/eva
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_docdir}/HTML/en/eva

%clean
rm -rf %{buildroot}


%changelog
* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20080127.1mdv2007.1
+ Revision: 158668
- New snapshot at 20080127

* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20080120.1mdv2008.1
+ Revision: 155665
- Neew snapshot

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-0.20070723.7mdv2008.1
+ Revision: 141787
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070723.6mdv2008.1
+ Revision: 108672
- set qq num as default focus
- clean file list
- set login button as default button in login window

* Mon Oct 01 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070723.5mdv2008.0
+ Revision: 94161
- Add patch to use xdg-user-dir

* Mon Aug 27 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070723.4mdv2008.0
+ Revision: 72165
- eva should be crossdesktop, as it is the only client with QQ protocol.

* Fri Aug 10 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070723.3mdv2008.0
+ Revision: 61354
- use correct fdo menu location

* Fri Aug 10 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070723.2mdv2008.0
+ Revision: 61032
- fix br
- Add fdo category

* Mon Jul 23 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070723.1mdv2008.0
+ Revision: 54644
- New version

* Mon Jul 16 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070716.1mdv2008.0
+ Revision: 52454
- New snapshot

* Sun Jul 08 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070708.1mdv2008.0
+ Revision: 49862
- New test version

* Sat Jun 30 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070630.1mdv2008.0
+ Revision: 46099
- New snapshot

* Sun Jun 24 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070623.1mdv2008.0
+ Revision: 43588
- more clear file list
- New snapshot
- requires kdebase-common

* Thu Jun 14 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.20070610.1mdv2008.0
+ Revision: 39219
- New snapshot

* Wed Apr 18 2007 Funda Wang <fundawang@mandriva.org> 0.4.2-0.alpha3.2mdv2008.0
+ Revision: 14317
- add patch to fix default button in loginverify dialog.


* Wed Apr 04 2007 Funda Wang <fundawang@mandriva.org> 0.4.2-0.alpha3.1mdv2007.1
+ Revision: 150616
- new snapshot from author.
- patch5 no more existss.
- SRPM cleanup.
- new snapshot from author.

* Thu Mar 08 2007 Funda Wang <fundawang@mandriva.org> 0.4.2-0.alpha1.1mdv2007.1
+ Revision: 137653
- fix xdg menu dir.
- rediff patch 5.
- clean up files section.
- rediff patch5
- patch6 is not needed here
- more generic qt3 macros
- Rename the tarball.
- new version 0.4.2 alpha 1.

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add Patch7: Fix autoconf detection

* Tue Aug 22 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.1-5mdv2007.0
+ Revision: 56899
- add/remove sources
- eva-0.4.1-5mdv2007.0
- sync with cvs

* Fri Aug 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.1-4mdv2007.0
+ Revision: 43072
- Increase Release:   0.4.1-4mdv2007.0
- Add Patch 3: sync with svn (from fundawang at gmail dot com)
- Add Patch 4 : solve the problem of adding friends
- Allow to show on all WM not only KDE (thanks laurent)
- Increase release
- Rebuild to regenerate category
- Add warning
- import eva-0.4.1-2mdk

* Sun Feb 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.1-2mdk
- Add Patch 3 : by funda Wang

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.1-1mdk
- New release 0.4.1
- Remove Patch 2

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.0-2mdk
- Add patch 2 : Fix ticket #20803 (by fundawang)

* Sun Jan 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.0-1mdk
- 0.4.0 ( sorry for the delay)

* Wed Dec 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.9-0.20051205.2
- Fix build on x86_64

* Tue Dec 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.9-0.20051205.1mdk
- new cvs snapshot 20051205
- Fix BuildRequires ( Close ticket : #20091 )
- %%{1}mdv2007.1

* Thu Nov 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.9-0.20051117.1mdk
- CVS Snaphot of the upcoming 4.0
- Remove patch 1

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Add Patch 1

* Sun Oct 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Tue Sep 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-4mdk
- Add icons

* Wed Aug 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-3mdk
- New Patch0

* Fri Aug 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-2mdk
- Sync with cvs
	- close ticket #17591

* Tue Aug 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-1mdk
- new release 0.3.1
- Make rpmbuildupdate happy

* Tue Aug 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-6mdk
- Fix BuildRequires as pointed out by Buchan Milne :
        - Remove kdebase-devel ( not needed to build AFAIK )
	- Remove qt3-devel ( allready required by kdelibs-devel)
- Fix Requires
	- Remove qt3 ( allready requires by kdelibs )

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-5mdk
- Fix Build on amd64

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-4mdk
- Fix BuildRequires as pointed out by  funda wang
                         - Close ticket 17153

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-3mdk
- Fix BuildRequires

* Sat Jul 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-2mdk
- disable Rpath

* Sat Jul 23 2005 Phytonix<phytonix@gmail.com> 0.3.0-1mdk
- First Mandriva release based on sourceforge Rpm

